# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class SitemapsEntry<E extends SitemapsEntry<E>>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.webmastertools.SitemapsEntry<E>

Type Parameters:
  `E` - sitemaps entry implementation that derives from this class.

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

Direct Known Subclasses:
  SitemapsMobileEntry, SitemapsNewsEntry, SitemapsRegularEntry

    public class SitemapsEntry<E extends SitemapsEntry<E>>

extends BaseEntry<E>

Defines an abstract base class for sitemap entry. It implements support for common sitemap entry parameters and relies on the derived classes to add ones that are specific to those types.

Nested Class Summary
`static class` `SitemapsEntry.LastDownloaded` Represents a single node, that is a date/time value.
`static class` `SitemapsEntry.SitemapStatus` Represents node.
`static class` `SitemapsEntry.UrlCount` Represents a single node, that is an int value.

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SitemapsEntry()` Constructs a new SitemapsEntry instance
`SitemapsEntry(BaseEntry<?> sourceEntry)` Constructs a new entry by doing a copy from another BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by a SitemapsEntry.
`DateTime` `getSitemapDownloadTime()` Returns last sitemap download time.
`java.lang.String` `getSitemapStatus()` Returns sitemap status.
`int` `getSitemapUrlCount()` Returns sitemap URL count.
`void` `setSitemapDownloadTime(DateTime value)` Set last sitemap download time.
`void` `setSitemapStatus(java.lang.String value)` Set sitemap status.
`void` `setSitemapUrlCount(int value)` Set sitemap URL count.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SitemapsEntry

    public SitemapsEntry()

  Constructs a new SitemapsEntry instance

### SitemapsEntry

    public SitemapsEntry(BaseEntry<?> sourceEntry)

  Constructs a new entry by doing a copy from another BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by a SitemapsEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### setSitemapStatus

    public void setSitemapStatus(java.lang.String value)

  Set sitemap status.

  Parameters:
    `value` - specifies sitemap status.

### getSitemapStatus

    public java.lang.String getSitemapStatus()

  Returns sitemap status.

### setSitemapDownloadTime

    public void setSitemapDownloadTime(DateTime value)

  Set last sitemap download time.

### getSitemapDownloadTime

    public DateTime getSitemapDownloadTime()

  Returns last sitemap download time.

### setSitemapUrlCount

    public void setSitemapUrlCount(int value)

  Set sitemap URL count.

### getSitemapUrlCount

    public int getSitemapUrlCount()

  Returns sitemap URL count.